Package ru.bitel.bgbilling.modules.card.common.bean

# Class DealerPayment

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.card.common.bean.DealerPayment

All Implemented Interfaces:
  `Serializable`, `Idable`

public class DealerPayment extends Id

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `STATUS_CANCELED`
  `static final int`
  `STATUS_DELETED`
  Удален сам платеж (не отменен через систему)
  `static final int`
  `STATUS_PAYED`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DealerPayment()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `equalz(DealerPayment pay)`
  `String`
  `getContractComment()`
  `int`
  `getContractId()`
  `int`
  `getContractID()`
  Deprecated.
  `String`
  `getContractTitle()`
  `Date`
  `getDateTime()`
  `int`
  `getDealerId()`
  `String`
  `getDealerTitle()`
  `String`
  `getPaymentComment()`
  `int`
  `getPaymentId()`
  `int`
  `getPaymentType()`
  `int`
  `getStatus()`
  `BigDecimal`
  `getSumma()`
  `String`
  `getTransId()`
  `void`
  `setContractComment(String contractComment)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setContractID(int contractId)`
  Deprecated.
  `void`
  `setContractTitle(String contractTitle)`
  `void`
  `setDateTime(Date date)`
  `void`
  `setDealerId(int dealerId)`
  `void`
  `setDealerTitle(String dealerTitle)`
  `void`
  `setPaymentComment(String comment)`
  `void`
  `setPaymentId(int id)`
  `void`
  `setPaymentType(int paymentType)`
  `void`
  `setStatus(int status)`
  `void`
  `setSumma(BigDecimal summa)`
  `void`
  `setTransId(String transId)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### STATUS_PAYED

    public static final int STATUS_PAYED
    See Also:
      - Constant Field Values

  - ### STATUS_CANCELED

    public static final int STATUS_CANCELED
    See Also:
      - Constant Field Values

  - ### STATUS_DELETED

    public static final int STATUS_DELETED
    Удален сам платеж (не отменен через систему)
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DealerPayment

    public DealerPayment()

- ## Method Details

  - ### getDealerTitle

    public String getDealerTitle()

  - ### setDealerTitle

    public void setDealerTitle(String dealerTitle)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus(int status)

  - ### getContractComment

    public String getContractComment()

  - ### setContractComment

    public void setContractComment(String contractComment)

  - ### getContractTitle

    public String getContractTitle()

  - ### setContractTitle

    public void setContractTitle(String contractTitle)

  - ### getPaymentComment

    public String getPaymentComment()

  - ### setPaymentComment

    public void setPaymentComment(String comment)

  - ### getContractId

    public int getContractId()

  - ### getContractID

    @Deprecated public int getContractID()
    Deprecated.
    Использовать `getContractId()`.
    Returns:

  - ### setContractId

    public void setContractId(int contractId)

  - ### setContractID

    @Deprecated public void setContractID(int contractId)
    Deprecated.
    Использовать `getContractId()`.
    Parameters:
      `contractId` -

  - ### getDateTime

    public Date getDateTime()

  - ### setDateTime

    public void setDateTime(Date date)

  - ### getPaymentId

    public int getPaymentId()

  - ### setPaymentId

    public void setPaymentId(int id)

  - ### getSumma

    public BigDecimal getSumma()

  - ### setSumma

    public void setSumma(BigDecimal summa)

  - ### getTransId

    public String getTransId()

  - ### setTransId

    public void setTransId(String transId)

  - ### getDealerId

    public int getDealerId()

  - ### setDealerId

    public void setDealerId(int dealerId)

  - ### equalz

    public int equalz(DealerPayment pay)

  - ### getPaymentType

    public int getPaymentType()

  - ### setPaymentType

    public void setPaymentType(int paymentType)